Skip to content
Start here

Delete flag

client.flagship.apps.flags.delete(stringflagKey, FlagDeleteParams { account_id, app_id } params, RequestOptionsoptions?): FlagDeleteResponse { key }
DELETE/accounts/{account_id}/flagship/apps/{app_id}/flags/{flag_key}

Deletes a flag permanently. Subsequent evaluations fall back to the caller-supplied default. Cannot be undone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Flagship Write
ParametersExpand Collapse
flagKey: string

Flag key (slug).

params: FlagDeleteParams { account_id, app_id }
account_id: string

Cloudflare account ID.

app_id: string

App identifier.

ReturnsExpand Collapse
FlagDeleteResponse { key }
key: string

Delete flag

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const flag = await client.flagship.apps.flags.delete('flag_key', {
  account_id: 'account_id',
  app_id: 'app_id',
});

console.log(flag.key);
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "key": "key"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "key": "key"
  },
  "success": true
}